API ReferenceapicommsGET /v1/sequences/{id}/enrollments

GET /v1/sequences/\{id\}/enrollments

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Enrollments for sequence

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "sequence_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "person_id": {
            "type": "string"
          },
          "recipient": {
            "type": "string"
          },
          "current_step": {
            "type": "number"
          },
          "status": {
            "type": "string"
          },
          "next_step_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "enrolled_at": {
            "type": "string"
          },
          "completed_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "cancelled_at": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "sequence_id",
          "brand_id",
          "person_id",
          "recipient",
          "current_step",
          "status",
          "next_step_at",
          "enrolled_at",
          "completed_at",
          "cancelled_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/sequences/{id}/enrollments \
  -H "Authorization: Bearer $ACCESS_TOKEN"